<?php

 add_action( 'init', 'Create_MenuPage' );
	function Create_MenuPage() {
		register_post_type( 'menu_page',
			array(
				'labels' => array(
					'name' => __( 'Menu Page' ),
					'singular_name' => __( 'Menu Page' )
				),
			'public' => true,
			'has_archive' => true,
			'menu_icon' => 'http://cdn2.iconfinder.com/data/icons/ledicons/drink.png'
			)
		);
	}

    


	
add_action( 'add_meta_boxes', 'settingsformenu' );
function settingsformenu()
{
	add_meta_box( 'menu_page', 'Menu Page Settings:', 'menu_page_settings', 'menu_page', 'normal', 'high' );
}


function menu_page_settings( $post )
{
	$values = get_post_custom( $post->ID );
	$mainphoto = isset( $values['mainphoto'] ) ? esc_attr( $values['mainphoto'][0] ) : '';
	$subheadline = isset( $values['subheadline'] ) ? esc_attr( $values['subheadline'][0] ) : '';
	$item1name = isset( $values['item1name'] ) ? esc_attr( $values['item1name'][0] ) : '';
	$item1price = isset( $values['item1price'] ) ? esc_attr( $values['item1price'][0] ) : '';
	$item1image = isset( $values['item1image'] ) ? esc_attr( $values['item1image'][0] ) : '';

	$item2name = isset( $values['item2name'] ) ? esc_attr( $values['item2name'][0] ) : '';
	$item2price = isset( $values['item2price'] ) ? esc_attr( $values['item2price'][0] ) : '';
	$item2image = isset( $values['item2image'] ) ? esc_attr( $values['item2image'][0] ) : '';

	$item3name = isset( $values['item3name'] ) ? esc_attr( $values['item3name'][0] ) : '';
	$item3price = isset( $values['item3price'] ) ? esc_attr( $values['item3price'][0] ) : '';
	$item3image = isset( $values['item3image'] ) ? esc_attr( $values['item3image'][0] ) : '';

	$item4name = isset( $values['item4name'] ) ? esc_attr( $values['item4name'][0] ) : '';
	$item4price = isset( $values['item4price'] ) ? esc_attr( $values['item4price'][0] ) : '';
	$item4image = isset( $values['item4image'] ) ? esc_attr( $values['item4image'][0] ) : '';
	
	wp_nonce_field( 'my_meta_box_nonce', 'meta_box_nonce' );
?>
	<style type="text/css">
		.metaBox label {
			display: block;
			text-transform: uppercase;
			font-size: 11px;
			color: #4278a6;
			font-weight: bold;
			padding: 5px 0;
		}
		.metaBox input[type=text] {
			padding: 5px;
			font-size: 16px;
			width: 650px;
		}
		.metaBox select {
			padding: 5px;
			font-size: 16px;
			width: 650px;
		}
		.metaBox textarea {
			padding: 5px;
			font-size: 16px;
			width: 650px;
			height: 165px;
		}
	</style>
	<div class="metaBox" style="width: 650px;">
		<h4>Menu Settings</h4>
		<p>
			<label for="">Main Image URL:</label>
			<input type="text" name="mainphoto" id="mainphoto" value="<?php echo $mainphoto; ?>" />
		</p>
		<p>
			<label for="">Sub Headline:</label>
			<input type="text" name="subheadline" id="subheadline" value="<?php echo $subheadline; ?>" />
		</p>
		<h4>Menu Item #1</h4>
		<p>
			<label for="">Name:</label>
			<input type="text" name="item1name" id="item1name" value="<?php echo $item1name; ?>" />
		</p>
		<p>
			<label for="">Price:</label>
			<input type="text" name="item1price" id="item1price" value="<?php echo $item1price; ?>" />
		</p>
		<p>
			<label for="">Image URL:</label>
			<input type="text" name="item1image" id="item1image" value="<?php echo $item1image; ?>" />
		</p>
		<h4>Menu Item #2</h4>
		<p>
			<label for="">Name:</label>
			<input type="text" name="item2name" id="item2name" value="<?php echo $item2name; ?>" />
		</p>
		<p>
			<label for="">Price:</label>
			<input type="text" name="item2price" id="item2price" value="<?php echo $item2price; ?>" />
		</p>
		<p>
			<label for="">Image URL:</label>
			<input type="text" name="item2image" id="item2image" value="<?php echo $item2image; ?>" />
		</p>
		<h4>Menu Item #3</h4>
		<p>
			<label for="">Name:</label>
			<input type="text" name="item3name" id="item3name" value="<?php echo $item3name; ?>" />
		</p>
		<p>
			<label for="">Price:</label>
			<input type="text" name="item3price" id="item3price" value="<?php echo $item3price; ?>" />
		</p>
		<p>
			<label for="">Image URL:</label>
			<input type="text" name="item3image" id="item3image" value="<?php echo $item3image; ?>" />
		</p>
		<h4>Menu Item #4</h4>
		<p>
			<label for="">Name:</label>
			<input type="text" name="item4name" id="item4name" value="<?php echo $item4name; ?>" />
		</p>
		<p>
			<label for="">Price:</label>
			<input type="text" name="item4price" id="item4price" value="<?php echo $item4price; ?>" />
		</p>
		<p>
			<label for="">Image URL:</label>
			<input type="text" name="item4image" id="item4image" value="<?php echo $item4image; ?>" />
		</p>
		
		
	</div>
	
	
	<?php	
}


add_action( 'save_post', 'cd_meta_box_save' );
function cd_meta_box_save( $post_id )
{
	// Bail if we're doing an auto save
	if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;
	
	// if our nonce isn't there, or we can't verify it, bail
	if( !isset( $_POST['meta_box_nonce'] ) || !wp_verify_nonce( $_POST['meta_box_nonce'], 'my_meta_box_nonce' ) ) return;
	
	// if our current user can't edit this post, bail
	if( !current_user_can( 'edit_post' ) ) return;
	
	// now we can actually save the data
	$allowed = array( 
		'a' => array( // on allow a tags
			'href' => array() // and those anchords can only have href attribute
		)
	);
	
	// Probably a good idea to make sure your data is set
	if( isset( $_POST['mainphoto'] ) )
		update_post_meta( $post_id, 'mainphoto', wp_kses( $_POST['mainphoto'], $allowed ) );
		
	if( isset( $_POST['subheadline'] ) )
		update_post_meta( $post_id, 'subheadline', esc_attr( $_POST['subheadline'] ) );
		
	if( isset( $_POST['item1name'] ) )
		update_post_meta( $post_id, 'item1name', esc_attr( $_POST['item1name'] ) );
		
	if( isset( $_POST['item1price'] ) )
		update_post_meta( $post_id, 'item1price', esc_attr( $_POST['item1price'] ) );
		
	if( isset( $_POST['item1image'] ) )
		update_post_meta( $post_id, 'item1image', esc_attr( $_POST['item1image'] ) );

if( isset( $_POST['item2name'] ) )
		update_post_meta( $post_id, 'item2name', esc_attr( $_POST['item2name'] ) );
		
	if( isset( $_POST['item2price'] ) )
		update_post_meta( $post_id, 'item2price', esc_attr( $_POST['item2price'] ) );
		
	if( isset( $_POST['item2image'] ) )
		update_post_meta( $post_id, 'item2image', esc_attr( $_POST['item2image'] ) );
		
if( isset( $_POST['item3name'] ) )
		update_post_meta( $post_id, 'item3name', esc_attr( $_POST['item3name'] ) );
		
	if( isset( $_POST['item3price'] ) )
		update_post_meta( $post_id, 'item3price', esc_attr( $_POST['item3price'] ) );
		
	if( isset( $_POST['item3image'] ) )
		update_post_meta( $post_id, 'item3image', esc_attr( $_POST['item3image'] ) );
	
if( isset( $_POST['item4name'] ) )
		update_post_meta( $post_id, 'item4name', esc_attr( $_POST['item4name'] ) );
		
	if( isset( $_POST['item4price'] ) )
		update_post_meta( $post_id, 'item4price', esc_attr( $_POST['item4price'] ) );
		
	if( isset( $_POST['item4image'] ) )
		update_post_meta( $post_id, 'item4image', esc_attr( $_POST['item4image'] ) );
}
?>