<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
	<head profile="http://gmpg.org/xfn/11">
		<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
		<title>
			<?php if (get_option('logo') != "") { ?>
				<?php echo get_option('logo'); ?> :: <?php echo get_option('tagline'); ?>
			<?php } ?>
			<?php if (get_option('logo') == "") { ?>
				Change Your Logo by Adding Text in Theme Options
			<?php } ?>
		</title>
		<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" /> <!-- leave this for stats -->
		<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.js"></script>
		<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
		<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
		<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
		<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
		<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
		<!--[if lt IE 9]><script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script><![endif]-->
		<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true"></script>
		<script type="text/javascript" src="<?php echo get_bloginfo('template_directory'); ?>/include/js/prettify.js"></script> 
		<script type="text/javascript" src="<?php echo get_bloginfo('template_directory'); ?>/include/js/kickstart.js"></script>
		<script type="text/javascript" src="<?php echo get_bloginfo('template_directory'); ?>/include/js/stretch.js"></script> 
		<script type="text/javascript" src="<?php echo get_bloginfo('template_directory'); ?>/include/js/maps.js"></script> 
		<script type="text/javascript" src="<?php echo get_bloginfo('template_directory'); ?>/include/js/lightbox.js"></script>
		<script type="text/javascript" src="<?php echo get_bloginfo('template_directory'); ?>/include/js/popup.js"></script>
		<script type="text/javascript" src="<?php echo get_bloginfo('template_directory'); ?>/include/js/mobile.js"></script>
		<link rel="stylesheet" type="text/css" href="<?php echo get_bloginfo('template_directory'); ?>/include/css/kickstart.css" media="all" />  
		<link rel="stylesheet" type="text/css" href="<?php echo get_bloginfo('template_directory'); ?>/include/css/lightbox.css" media="screen" />
		<link rel="stylesheet" type="text/css" href="<?php echo get_bloginfo('template_directory'); ?>/include/css/popup.css" media="all" />  
		<script src="<?php echo get_bloginfo('template_directory'); ?>/js/maps.js" type="text/javascript"></script>
		<?php if (get_option('headlineTypography')=="1") { ?>
				<style type="text/css">
					h1, h2, h3, h4, h5, h6 {
						font-family: Helvetica, Arial, sans-serif !important;
					}
				</style>
		<?php } ?>
		<script type="text/javascript">
		$(document).ready(function() {

			$('a.lightbox').lightBox();
			$(".viewmenu").colorbox({inline:true, width:"50%"});

		  $("#slideshow").backstretch([
		      "<?php echo get_option('slideshow1'); ?>",
		      "<?php echo get_option('slideshow2'); ?>",
		      "<?php echo get_option('slideshow3'); ?>",
		      "<?php echo get_option('slideshow4'); ?>",
		      "<?php echo get_option('slideshow5'); ?>"
		      ], {
		        fade: <?php if (get_option('fadetime') != "") { echo get_option('fadetime'); } ?>,
		        duration: <?php if (get_option('timer') != "") { echo get_option('timer'); } ?>


		    });

		  
		  	var geocoder = new google.maps.Geocoder();
			var address = "<?php echo get_option('mapaddress'); ?>";

			geocoder.geocode( { 'address': address}, function(results, status) {

			if (status == google.maps.GeocoderStatus.OK) {
			    var latitude = results[0].geometry.location.lat();
				var longitude = results[0].geometry.location.lng();
			    var yourStartLatLng = new google.maps.LatLng(latitude, longitude);
            	$('#map_canvas').gmap({
            		'center': yourStartLatLng, zoom: 14, 

            	});
			    } 
			}); 
			
			var isInIframe = (window.location != window.parent.location) ? true : false;
			if (isInIframe == true) { 
				$('body').addClass('facebook');
				$('.blogStyle').hide();
				$('.facebookStyle').show();
				$('#map_canvas').hide(); 
				$('#map_canvas2').show(); 
			};

		});
	</script>
	<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>
	<meta name = "viewport" content = "width=device-width, initial-scale=1.0, maximum-scale=1.0" >
</head>
<body class="<?php echo get_option('background'); ?> <?php echo get_option('typography'); ?>">
	<div id="wrap" class="clearfix">
		
		<div class="col_12">
			<div id="topbar" class="col_12">
				<div id="social">
					<?php if (get_option('facebook') != "") { ?>
						<a href="<?php echo get_option('facebook'); ?>" title="Follow us on Facebook"><img src="http://cdn4.iconfinder.com/data/icons/Classy_Social_Media_Icons/16/facebook.png"></a>
					<?php } ?>
					<?php if (get_option('twitter') != "") { ?>
						<a href="<?php echo get_option('twitter'); ?>" title="Follow us on Twitter"><img src="http://cdn3.iconfinder.com/data/icons/socialmediabookmark/16/twitter.png"></a>
					<?php } ?>
					<?php if (get_option('youtube') != "") { ?>
						<a href="<?php echo get_option('youtube'); ?>" title="Follow us on Youtube"><img src="http://cdn3.iconfinder.com/data/icons/socialmediabookmark/16/youtube.png"></a>
					<?php } ?>
					<?php if (get_option('googlemap') != "") { ?>
						<a href="<?php echo get_option('googlemap'); ?>" title="Get Directions on Google Maps"><img src="http://cdn4.iconfinder.com/data/icons/Classy_Social_Media_Icons/16/map.png"></a>
					<?php } ?>
				</div>	
				<?php if (get_option('specialmessage') != "") { ?><p><?php echo get_option('specialmessage'); ?></p><?php } ?>
			</div>
			<div id="logo" class="col_4">
				<?php if (get_option('logo') != "" && get_option('uploadlogo') == "") { ?>
					<h1><a href="<?php bloginfo('url'); ?>"><?php echo get_option('logo'); ?></a></h1>
				<?php } ?>
				<?php if (get_option('logo') == "") { ?>
					<h1><a href="<?php bloginfo('url'); ?>">FB Restaurant</a></h1>
				<?php } ?>
				<?php if (get_option('tagline') != ""  && get_option('uploadlogo') == "") { ?>
					<h5><?php echo get_option('tagline'); ?></h5>
				<?php } ?>
				<?php if (get_option('tagline') == "") { ?>
					<h5>Change your logo in Theme Options Panel</h5>
				<?php } ?>
				<?php if (get_option('uploadlogo') != "") { ?>
					<img src="<?php echo get_option('uploadlogo'); ?>"  />
				<?php } ?>

			</div>
			<div id="navigation" class="col_8">
				<?php

					function displayMenuHelp() {
						?>
							<h5>Create new custom menu called "Main Menu" inside Appearances > Menu</h5>
						<?php
					}

				?>
				<?php wp_nav_menu( array( 'menu' => 'main-menu', 'fallback_cb' => 'displayMenuHelp' ) ); ?>
				<?php if (get_option('ctatext') != "") { ?><h2><?php echo get_option('ctatext'); ?></h2><?php } ?>
			</div>
		</div>
		
	</div>